CHAGE(1)

NAZWA
chage - zmiana informacji o terminie ważności hasła użytkownika

STRESZCZENIE

chage [opcje] LOGIN

OPIS

Polecenie chage zmienia liczbę dni pomiędzy zmianami hasła i datę ostatniej zmiany hasła. Informację tę system wykorzystuje do ustalenia, kiedy użytkownik musi zmienić hasło.

OPCJE

Polecenie chage posiada następujące opcje:

-d, --lastday OSTATNI
    Set the number of days since January 1st, 1970 when the password was last changed. The date may also be expressed in the format YYYY-MM-DD (or the format more commonly used in your area). If the LAST_DAY is set to 0 the user is forced to change his password on the next log on.

-E, --expiredate DATA_WAŻN
    Ustawia datę, począwszy od której konto użytkownika nie będzie już dostępne. DATA_WAŻN jest liczbą dni od 1 stycznia 1970, od której konto jest blokowane. Data może być też wyrażona w formacie RRRR-MM-DD (lub innej, powszechniej używanej w danym regionie). Użytkownik, którego konto jest zablokowane musi skontaktować się z administratorem systemu zanim będzie mógł z niego ponownie skorzystać.

    Przekazanie -1 jako DATA_WAŻN usuwa ograniczenie ważności konta użytkownika.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-I, --inactive NIEAKTYWNE
    Opcja ta służy do ustawiania czasu nieaktywności konta po wygaśnięciu ważności hasła, po którym to czasie konto jest blokowane. Parametr NIEAKTYWNE jest liczbą dni nieaktywności. Użytkownik, którego konto jest zablokowane musi skontaktować się z administratorem systemu zanim będzie mógł z niego ponownie skorzystać.

    Przekazanie -1 jako NIEAKTYWNE usuwa ograniczenie nieaktywniści konta użytkownika.

-l, --list
    Wyświetlenie informacji o terminach ważności konta i hasła.

-m, --mindays MIN_DNI
    Utawia minimalną liczbę dni pomiędzy zmianami hasła na MIN_DAYS. Wartość zerowa oznacza, że użytkownik może je zmieniać w dowolnym czasie.

-M, --maxdays MAX_DNI
    Ustawia maksymalną liczbę dni, przez jakie hasło jest ważne. Gdy MAX_DNI plus OSTATNI jest mniejsze niż bieżący dzień, użytkownik musi zmienić swoje hasła, zanim będzie mógł skorzystać z konta. Zdarzenie to może być zaplanowane z wyprzedzeniem przez wykorzystanie opcji -W, ostrzegającej zawczasu użytkownika o zbliżającym się terminie zmiany.

    Przekazanie -1 jako MAX_DAYS usuwa sprawdzanie wazności hasła.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-W, --warndays DNI_OSTRZ
    Ustawia na DNI_OSTRZ liczbę dni przed upływem ważności hasła. Od tego dnia użytkownik będzie ostrzegany o nadchodzącym terminie zmiany hasła.

Jeśli nie podano żadnej opcji, to chage działa w trybie interaktywnym, proponując użytkownikowi wartości bieżące dla każdego z pól. Wprowadzenie nowej wartości powoduje zmianę wartości pola, a podanie wartości pustej pozostawia wartość bieżącą. Bieżąca wartość pola wyświetlana jest w nawiasach [ ].

UWAGI

Program chage wymaga do działania chronionego pliku haseł użytkowników (shadow).

Polecenia chage może użyć tylko użytkownik root, za wyjątkiem opcji -l. Może się nią posłużyć się użytkownik nieuprzywilejowany do stwierdzenia, kiedy wygasa jego własne hasło lub konto.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

PLIKI

/etc/passwd
    Informacja o kontach użytkowników.

/etc/shadow
    Informacje chronione o użytkownikach.

KOD ZAKOŃCZENIA

Polecenie chage kończy działanie z następującymi wartościami kodów zakończenia:

0
    poprawne zakończenie działania programu

1
    brak dostępu

2
    niepoprawna składnia polecenia

15
    nie można znaleźć pliku shadow

ZOBACZ TAKŻE

passwd(5), shadow(5).